cURL
curl --request DELETE \
--url https://us.infisical.com/api/v1/auth/alicloud-auth/identities/{identityId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://us.infisical.com/api/v1/auth/alicloud-auth/identities/{identityId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://us.infisical.com/api/v1/auth/alicloud-auth/identities/{identityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identityAliCloudAuth": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"identityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"allowedArns": "<string>",
"accessTokenTTL": 7200,
"accessTokenMaxTTL": 7200,
"accessTokenNumUsesLimit": 0,
"accessTokenTrustedIps": "<unknown>"
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Alibaba Cloud Auth
Revoke
Delete Alibaba Cloud Auth configuration on machine identity
DELETE
/
api
/
v1
/
auth
/
alicloud-auth
/
identities
/
{identityId}
cURL
Was this page helpful?
⌘I